Secure your wordpress based websites from hackers

Sep 13, 2015   //   by admin   //   cms, virtual assistant, Web Design, Wordpress  //  Comments Off on Secure your wordpress based websites from hackers

WordPress is a commonly used CMS for creating websites, famous for its template system and huge plugin repository. Even though WordPress has been universally accepted as a web content management system, vulnerabilities caused by several plugins cost the website owners a lot. Main cause of vulnerabilities raise from wordpress instances that run with an outdated version.

Key points – To keep your site secure:

  1. Use strict folder and file permissions, specially for folders that accept media files.
  2. Keep your WordPress version upgraded to the latest always
  3. Install Wordfence and configure your email to get automated emails that informs about new version, plugin update, changes made in files if any
  4. Installing or swapping between trusted themes alone
  5. If you have bought a theme, keep the key or the account credentials. As you may need to grab the newer versions whenever needed.
  6. Always make your updates on the child theme
  7. Do not keep inactive plugins inside, if you feel a plugin is not necessary delete those.
  8. Prevent weak password – FTP, CPanel, WP login

How to determine the WordPress version:

  1. Check yourwebsite.com/readme.html
  2. Login to your backend, check your dashboard
  3. Right click on your webpage and view-source the code, you will find a meta tag generator

Plugins that could help you secure your websites:

  1. Plugin Vulnerabilities by WhiteFirDesign
  2. Wordfence
  3. Theme Authenticity Checker
Let us know if you require hack removal or website cleaning support 

Comments are closed.